> ## Documentation Index
> Fetch the complete documentation index at: https://psw.belli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Shipment Events

> Push status events (RCS, MAN, DEP, ARR, etc.) with XFSU equivalents

<ParamField status="200" type="object">
  <ParamField name="awbNumber" type="string">
    Air Waybill number
  </ParamField>

  <ParamField name="eventId" type="string">
    Unique event identifier
  </ParamField>

  <ParamField name="status" type="string">
    Event posting status
  </ParamField>

  <ParamField name="postedAt" type="string" format="date-time">
    Posting timestamp
  </ParamField>
</ParamField>

### Reference Documentation

<Info>
  For more information on departure and offload status updates, please refer to:

  * Pages 226-232 of "Functional\_Requirements\_V18 FINAL": [https://belli.sg/4nxxCDR](https://belli.sg/4nxxCDR)
</Info>


## OpenAPI

````yaml POST /api/shipments/{awb}/events
openapi: 3.0.3
info:
  title: Mock API
  version: 1.0.0
  description: >-
    Mock OpenAPI spec for QR API Service. All endpoints require API key
    authentication via 'Authorization: Bearer <token>' or 'x-api-key: <token>'
    headers.
servers:
  - url: https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io
    description: Production server
security:
  - ApiKeyAuth: []
  - ApiKeyHeader: []
tags:
  - name: auth-v1
    description: Authentication and user management
  - name: reference-data-v1
    description: Reference data and master data
  - name: flights-v1
    description: Flight schedules and capacity
  - name: quotes-v1
    description: Quotation and pricing
  - name: awb-stock-v1
    description: AWB Stock Management
  - name: bookings-v1
    description: Booking management
  - name: shipments-v1
    description: Shipment documents and tracking
  - name: compliance-v1
    description: Compliance and safety declarations
  - name: operations-v1
    description: Operational events and manifests
  - name: webhooks-v1
    description: Webhook management
  - name: admin-v1
    description: Administrative and audit functions
  - name: qr-exp-cgo-ext-availability-v1
    description: Legacy availability service
  - name: qr-exp-cgo-ext-booking-v1
    description: Legacy booking service
  - name: qr-exp-cgo-ext-flight-schedules-v1
    description: Legacy flight schedules service
  - name: qr-exp-cgo-shipments-v1
    description: Legacy shipments service
  - name: qr-exp-cgo-stock-v1
    description: Legacy stock service
  - name: qr-exp-cgo-tables-v1
    description: Legacy table data service
paths:
  /api/shipments/{awb}/events:
    post:
      tags:
        - operations-v1
      summary: Push shipment events
      description: Push status events (RCS, MAN, DEP, ARR, etc.) with XFSU equivalents
      parameters:
        - name: awb
          in: path
          required: true
          schema:
            type: string
          description: AWB number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShipmentEventRequest'
      responses:
        '201':
          description: Event recorded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShipmentEventResponse'
components:
  schemas:
    ShipmentEventRequest:
      type: object
      properties:
        eventType:
          type: string
          enum:
            - RCS
            - MAN
            - DEP
            - ARR
            - RCF
            - NFD
            - DLV
          example: RCS
        eventDate:
          type: string
          format: date-time
          example: '2024-01-01T08:00:00Z'
        location:
          type: string
          example: DOH
        pieces:
          type: integer
          example: 10
        weight:
          type: number
          example: 500
        notes:
          type: string
          example: Cargo received at origin
      required:
        - eventType
        - eventDate
        - location
    ShipmentEventResponse:
      type: object
      properties:
        eventId:
          type: string
          example: event-123
        awbNumber:
          type: string
          example: '15712345678'
        eventType:
          type: string
          example: RCS
        recordedAt:
          type: string
          format: date-time
          example: '2024-01-01T08:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````